Subject: COMMERCIAL: FlagShip, by WorkGroup Solutions, for Linux
From: Mark Bolzern <[email-masked]>
Date: Thu, 6 Oct 1994 15:02:24 GMT
Newsgroups: comp.os.linux.announce

FlagShip, a 4GL language for writing business and data-oriented
applications, is now available for Linux.

One of the, if not the first commercial package available as a native
portation for Linux, is also potentially one of the most important.

So why should you as a Linux Devotee support WorkGroup Solutions
verbally if not financially by buying a package?

1) We are pioneering the availability of commercial packages on Linux,
ratifying Linux's stability and usefulness.  Many other commercial entities
(major names you'd recognize) are watching to see how we do before comitting
to port their products.  Many even say we are stupid to do it.  We intend to
prove them wrong.

2) We are trying to prove that Linux can support DOS style volume, and
therefore DOS like pricing on commercial software.  We want to put an end to
the super high pricing for powerful Unix software, so that real people can
afford it.

3) PLEASE DO NOT BUY a FlagShip package unless you have a need for it...  but
PLEASE DO understand what FlagShip is, and what we are doing....  and be
verbal about it to those that do not yet know.

4) We are advertising heavily outside the Linux community, convincing them
of both Linux and FlagShip.... They typically buy OUR Linux CD and support 
the first time. This Linux CD is priced higher than anyone else' (So as 
not to compete) and to support the advertising and donations to various 
Linux authors.  These people who buy our CD, after learning about Linux, and
the ideals behind it will usually on their second purchase buy one of the
less expensive CD-ROM distributions offered by many within the Linux 
community.  

5) Any Linux distributor can feel free to access our Internet FTP archive and 
include any of it's contents on their Linux distributions, as well as sign 
up to be a FlagShip dealer/distributor, and several already have...

6) The above 5 reasons help Linux, and quite possibly YOU PERSONALLY.  People
will pay for help......and add on products.

So what is FlagShip, and why is it important as a product, possibly the
Killer App that Linux has been waiting for?

1) FlagShip is an extremely productive 4GL Language for writing business and
data oriented applications.

2) FlagShip is compatible with millions of programs already written in the
DOS world for commercial applications in CA-Clipper, dBase and Fox. Copy the
source code, tweak slightly (maybe) and compile.

3) Millions of programmers already know this language, and using it on
Linux extends its capabilities substantially.

4) FlagShip is the best possible balance between Ease of Use, Productivity,
and Power.  You can code in FlagShip, and include "C" code if you wish at any
point with full access to FlagShip's Variables, and data structures.

5) FlagShip allows you to use many of the techniques that makes C++ so
powerful, but you never have to worry about I/O libraries, Memory management,
and other techniques and overhead that makes programming in C and C++ so
cumbersome.

6) FlagShip creates a true executable, which is distributable, royalty free.

7) Database is one area that needs to run as native code.  Emulation is good
enough for word processing, or spreadsheet, etc... but not for Database work.

8) We already have many thousands of Commercial Unix installs which sold for
Thousands of Dollars each.  We are recognized by the Unix community as THE
standard for XBase on Unix.  We are selling our Linux version for MUCH LESS
than our commercial Unix versions.

9) Free, and fully functional FlagShip Test Drive (a few built in limitations)
version on our FTP site is available to anyone who cares to fetch and try it.

FlagShip for Linux has been shipping for several months, but has not
been formally announced till now.  Already there are hundreds people 
using FlagShip on Linux, and Thousands on other Unix versions.  

We believe that this world will be dictated in a few years by a very few
computer software firms.... Unless the power of the people.... Linux.. is
strong enough to hold it at bay.  (Like Oil companies, Car manufacturers,
etc, etc).  We want to help democracy fend off potential dictatorships by 
bringing millions of commercial users to Linux, the People's OS.

There is a lot of sentiment that Linux is by "Hackers, of Hackers and for
Hackers" That is great....  Hackers are where technology comes from.  But
please share your artwork with ordinary mortals...  after all you get paid by
someone somewhere...  and if they in some way do not percieve benefit from
your art...  then you become restricted in your ability to do it.  If you do
not wish to be concerned with commercial interests...  then don't...  others
will handle the work you do not like, and maybe you will do things that others
do not like.  But please do not be so shortsighted as to block, or poo-poo
commercial implementation and support of Linux...  it will make you GREAT, It
is very rewarding to see thousands of people appreciate the fruit of your
labors, your brainchild.

If Hackers do not want to be concerned with backward compatibility, they
shouldn't have to be.... If your technology is good enough people will adopt
it anyway, and someone else will fill in the gaps.

Please support Linux International, Linux in general and please support us,
WorkGroup Solutions, as we battle together for a better future.  As has
often been said.... "business is war".... and we (You and Me) ARE the 
revolution.

Following are two messages from independent sources.  There are many
more I have recieved, and seen posted like them... I chose these because
they are representative of the majority, and say what needs to be said 
most concisely.  All this, and still only 400 retreivals of the FREE FlagShip
TEST DRIVE from my FTP Site

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

From: [email-masked] (Mark A. Horton KA4YBR)
Subject: Re: Don't use Linux?!

Mark Bolzern ([email-masked]) wrote:

: WorkGroup Solutions and Multisoft have taken the plunge by porting FlagShip
: which is the Unix version of the CA/Clipper language from the DOS world.

Hey guys!

	I cannot say enough about this product!  It works, works
great!  Has one helluva great manual too (worth the extra bucks!).
IMHO is BETTER than dBASE by a long shot!  No runtime stuff to sell
your clients, no client licensing... you distribute compiled code and
files... We're already writing three applications and porting two
others right now for small businesses and have two major, bigtime
companies interested in porting their DOS/NOVELL/dBASE apps to Linux/
NFS/terminal-based systems.  I've said this before, but I'll say it
again, this, IMHO, is THE KILLER APP for commercial success in the
commercial DOS-based market.  Given the base of already developed
and successful xBASE applications out there and the ease of writing
these applications, this is a natural for the small independent 
software company.  Sure, it's great fun to hack around with developing
word processors, window managers, etc., but ya gotta pay the bills
somehow, right?  At the very least, get the demo (it's only an ftp
away!) and try it.  The intro pricing on this product for the Linux
community is an incredible deal also... about the same as a single-user
copy of dBASE for DOS!

	I think if we show some support for commercial ventures of 
this type, we'll see Linux become even more popular.  I'm not saying
cast Linux in stone like the "commercial" *nixen, there will always
be the source and freedom to hack away that we've all enjoyed, but 
products like Flagship will allow for commercial apps that we can 
all use to pay the bills while we still have room to play and hack!

	Go for it!

	-- Mark

--
"Linux!     Guerrilla UNIX Development     Venimus, Vidimus, Dolavimus."
------------------------------------------------------------
Mark A. Horton       ka4ybr             [email-masked]
P.O. Box 747 Decatur GA US 30031-0747         [email-masked]
+1.404.371.0291                     33 45 31 N / 084 16 59 W

From: [email-masked] (Michael Dillon)
Newsgroups: comp.os.linux.development
Subject: Re: Don't use Linux?!

> WorkGroup Solutions and Multisoft have taken the plunge by porting FlagShip
> which is the Unix version of the CA/Clipper language from the DOS world.
> 
> There are tons of commercial software packages written in Clipper (Possibly
> as many as all other languages put together), and all of these are now
> a simple compile away from Linux.
> 
> There is a huge aftermarket for Clipper written products and add ons. Clipper
> is powerful enough to emulate Fox & Dbase ... the premise behind our FoxKit..
> FlagShip may be the key to bringing Linux to 200+ K Clipper programmers, 
> Millions of users of Clipper written programs, and about 20 million Dbase &
> Foxers.....
> 
> FlagShip sells for thousands of dollars on "Commercial" Unix systems, and we
> have thousands of installations.
> 
> We are gambling that Linuxers want DOS pricing levels, and offer our
> Linux product inexpensively enough to qualify for this designation.
> 
> We are also working at convincing other commercial vendors to take the 
> plunge............
> 
> What is missing?   THE SUPPORT FROM THE LINUX COMMUNITY

This guy is right. I have seen the mess that occurs when you try
to implement real-world business programs on a GUI platform. In the
real world, business runs on numbers and text and SHARED databases.

The ideal computer system to do real-world business applications
provides only what is needed and nothing more. This makes a Linux
box with a dozen terminals and Flagship's dBase software, the
IDEAL business computer system, especially when you look at
the needs of small and medium sized business.

There is real money to be made here by people who are willing to
design and build computer systems (hardware and software) to meet
the needs of your local business community. 

While the rest of the PC world is trying to sell a Novell network
with 6 486's, you can walk in and sell 1 486, 5 terminals and
Linux. Your solution will be cheaper and will actually run FASTER
than the solution with 6 CPU's. That's because you don't have
any network overhead since you only transmit screens full of
information to the terminals rather than database chunks.

There is good money to be made in designing and writing business
programs, advising what hardware/software to buy and babysitting
the whole system to make it work. I often find that I have to
redo hardware installations that the local computer retailler
has screwed up because they all seem clueless. Things like
incorrect IRQ settings on add-in cards like SCSI host adapters
or Digiboard PC/8e's.

cruisin' down the information highway, lookin' for a blast
breakin' all the speed limits as I come zoomin' past!
--
Michael Dillon                 Internet: [email-masked]
C-4 Powerhouse                  Fidonet: 1:353/350
RR #2 Armstrong, BC  V0E 1B0      Voice: +1-604-546-8022
Canada                              BBS: +1-604-546-2705

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

For more information on FlagShip, Multisoft, or WorkGroup Solutions,~

Email:  [email-masked]  (Please include return address in message body)
URL:    ftp://ftp.wgs.com/pub2/Filelist

WorkGroup Solutions, Inc
P.O. Box 460190
Aurora, CO 80046-0190

Tel: 303-699-7470
Fax: 303-699-2793

--
Send submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.